# Class Error

java.lang.Object
java.lang.Throwable
java.lang.Error

Direct Known Subclasses:
  `AbstractMethodError, AnnotationFormatError, AssertionError, LinkageError, NoClassDefFoundError, VirtualMachineError`

public class Error extends Throwable
An Error is a subclass of Throwable that indicates serious problems that a reasonable application should not try to catch. Most such errors are abnormal conditions. A method is not required to declare in its throws clause any subclasses of Error that might be thrown during the execution of the method but not caught, since these errors are abnormal conditions that should never occur. Since: JDK1.0, CLDC 1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Error()`
  Constructs an Error with no specified detail message.
  `Error(String s)`
  Constructs an Error with the specified detail message.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`
  Modifier and Type
  Method
  Description
  `final void`
  `addSuppressed(Throwable exception)`
  `Throwable`
  `getCause()`
  Returns the cause of this throwable or null if the cause is nonexistent or unknown.
  `String`
  `getLocalizedMessage()`
  `String`
  `getMessage()`
  Returns the error message string of this Throwable object.
  `StackTraceElement[]`
  `getStackTrace()`
  `final Throwable[]`
  `getSuppressed()`
  `Throwable`
  `initCause(Throwable cause)`
  Deprecated.
  DO NOT USE THIS METHOD, its here just to get the compiler working and isn't intended for use
  `void`
  `printStackTrace()`
  Prints this Throwable and its backtrace to the standard error stream.
  `void`
  `setStackTrace(StackTraceElement[] el)`
  `String`
  `toString()`
  Returns a short description of this Throwable object.

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Error

    public Error()
    Constructs an Error with no specified detail message.

  - ### Error

    public Error(String s)
    Constructs an Error with the specified detail message. s - the detail message.